-- name: [CS] Tumble
-- description: Tumble from Mario Party 3 and Advance! \n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!



local E_MODEL_TUMBLE = smlua_model_util_get_id("tumble_geo")

local TEX_TUMBLE = get_texture_info("tumble_icon")

local TEXT_MOD_NAME = "[CS] TUMBLE"

local VOICETABLE_TUMBLE = {
    [CHAR_SOUND_DROWNING] = 'CHAR_SOUND_DROWNING.ogg',
    [CHAR_SOUND_DYING] = 'CHAR_SOUND_DYING.ogg',
    [CHAR_SOUND_HAHA] = 'CHAR_SOUND_HAHA.ogg',
    [CHAR_SOUND_HAHA_2] = 'CHAR_SOUND_HAHA_2.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'CHAR_SOUND_HERE_WE_GO.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'CHAR_SOUND_LETS_A_GO.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'CHAR_SOUND_MAMA_MIA.ogg',
    [CHAR_SOUND_ON_FIRE] = 'CHAR_SOUND_ON_FIRE.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'CHAR_SOUND_SO_LONGA_BOWSER.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'CHAR_SOUND_TWIRL_BOUNCE.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'CHAR_SOUND_WAAAOOOW.ogg',
    [CHAR_SOUND_WHOA] = 'CHAR_SOUND_WHOA.ogg',
    [CHAR_SOUND_YAHOO] = 'CHAR_SOUND_YAHOO.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'CHAR_SOUND_YAHOO_WAHA_YIPPEE.ogg',
}

local E_MODEL_STAR_TUMBLE = smlua_model_util_get_id("tumble_star_geo")
local TEX_STAR_TUMBLE = get_texture_info("tumble_star_icon")

local capTUMBLE = {
    normal = smlua_model_util_get_id("tumble_cap_geo"),
    wing = smlua_model_util_get_id("tumble_wing_cap_geo"),
    metal = smlua_model_util_get_id("tumble_metal_cap_geo"),
    metalWing = smlua_model_util_get_id("tumble_metal_wing_cap_geo")
}

local PALETTE_TUMBLE = {
    [SHIRT] = "A10200",
    [SHOES] = "ffffff",
    [HAIR] = "2E131C",
    [CAP] = "ffffff",
    [PANTS] = "6E80C8",
    [GLOVES] = "ffffff",
    [SKIN] = "D5C79F",
    [EMBLEM] = "ffffff",
}



if _G.charSelectExists then
    CT_TUMBLE = _G.charSelect.character_add("Tumble", "Tumble the host of Mario Party 3 joins Mario & Friends! Collect all Millenium Stars to save the party!", "Melzinoff", {r = 255, g = 200, b = 200}, E_MODEL_TUMBLE, CT_MARIO, TEX_TUMBLE)

    _G.charSelect.character_add_caps(E_MODEL_TUMBLE, capTUMBLE)

    _G.charSelect.character_add_palette_preset(E_MODEL_TUMBLE, PALETTE_TUMBLE)

    _G.charSelect.character_add_celebration_star(E_MODEL_TUMBLE, E_MODEL_STAR_TUMBLE, TEX_STAR_TUMBLE)


    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_TUMBLE, VOICETABLE_TUMBLE)

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_TUMBLE then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_TUMBLE then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end
